Neo4j - Community-Server 4.1.3 installation-issues

Hello,
Ive tried to install the Neo4j-Community-Server Version 4.1.3. on my Windows 8.1. System. With the command "neo4j.bat install-service" on the bin-folder Ive got the error-Message: "Powershell could not be found". I dont even use Powershell. What did I wrong? I`ve tried that also with older neo4j-community-versions. Same problem.
Any recommends?

Hi @dionisios95 Welcome to the community!!

As per the installation requirements you need to have Powershell v2.0 or above (my recommendation go with v5 or above) for Windows installation:
https://neo4j.com/docs/operations-manual/current/installation/windows/#:~:text=Requires%20PowerShell%20v2.,or%2064%20bit%20operating%20systems.

Installing Powershell might resolve this issue for you.

Hi Vinoth,
I actually have the Powershell-Version 4.0, but on my bin/Neo4j-Management.psd1-file there is a line: PowerShellVersion = '2.0' . Is this normal or how can I upate this file?

Hi @dionisios95, if you have powershell v4.0 then I think it should be fine. Can you check if the path variable is having the path powershell setup correctly. That can already lead to "Powershell could not be found" error.

@Vinoth which variable do you mean?

@dionisios95
Sorry my last comment was not very clear. I was reffering to JAVA_HOME environment variable.

Have you checked the below post:

Can please try with the steps mentioned in the above post.

Thank you @Vinoth.
My JAVA_HOME variable is on the "java\jdk-15" folder. My PS-Version is still 4.0 and the output of the command on the "Import-Module YOUR PATH\neo4j-community-4.1.3\bin\Neo4j-Management.psd1 -verbose" -command looks like that, but I have the same problem with "neo4j.bat install-service":

On which path should be my "Path"- variable from the System-variables? I have it on several path`s seperated by semicolons.